Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        Entrance is a login/display manager for UNIX X11 displays
Name:           entrance
Version:        20071209
Release:        1
License:        BSD
URL:            http://www.enlightenment.org
Group:          Graphical Desktop/Enlightenment17
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  evas-devel ecore-devel edje-devel esmart-devel pam-devel efreet-devel
BuildRequires:	imlib2-devel libX11-devel libXcursor-devel libXdamage-devel
BuildRequires:	libXext-devel libXfixes-devel libXinerama-devel libXp-devel
BuildRequires:	libXrender-devel curl-devel DirectFB-devel embryo-devel epeg-devel 
BuildRequires:	epsilon-devel esmart-devel expat-devel fontconfig-devel
BuildRequires:	freetype-devel libidn-devel libjpeg-devel openldap-devel 
BuildRequires:	libpng-devel cyrus-sasl-devel openssl-devel sysfsutils-devel

%description
Entrance is a login/display manager for UNIX X11 displays. It is
designed to be extremely customizable and aesthetically attractive
-- a refreshing relief from the traditional dull and boring interfaces
of XDM and its descendants.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %name
#%patch0 -p1

%build
./autogen.sh
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr (-, root, root)
%_sysconfdir/entrance_config.cfg
%_sysconfdir/init.d/entrance
%_sysconfdir/pam.d/entrance
%_bindir/entrance*
%_libdir/*.so.*
%_libexecdir/entrance/*
%_datadir/entrance/*
%_sbindir/entranced

%files devel
%defattr (-, root, root)
%_includedir/Entrance_Edit.h
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a

%clean
rm -rf %{buildroot}

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Initial release

